Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record.formula
Class OperationPtg

    java.lang.Object
      org.apache.poi.hssf.record.formula.Ptg
          org.apache.poi.hssf.record.formula.OperationPtg

Direct Known Subclasses:
  AbstractFunctionPtg, IntersectionPtg, RangePtg, UnionPtg, ValueOperatorPtg

    public abstract class OperationPtg

extends Ptg

defines a Ptg that is an operation instead of an operand

Author:
  andy

Field Summary
`static int` | `TYPE_BINARY`
`static int` | `TYPE_FUNCTION`
`static int` | `TYPE_UNARY`

Fields inherited from class org.apache.poi.hssf.record.formula.Ptg
`CLASS_ARRAY, CLASS_REF, CLASS_VALUE, EMPTY_PTG_ARRAY`

Constructor Summary
`OperationPtg()`

Method Summary
`byte` | `getDefaultOperandClass()`
`abstract int` | `getNumberOfOperands()` The number of operands expected by the operations
`abstract java.lang.String` | `toFormulaString(java.lang.String[] operands)` returns a string representation of the operations the length of the input array should equal the number returned by

Methods inherited from class org.apache.poi.hssf.record.formula.Ptg
`createPtg, doesFormulaReferToDeletedCell, getEncodedSize, getEncodedSizeWithoutArrayData, getPtgClass, getRVAType, getSize, isBaseToken, readTokens, serializePtgs, setClass, toFormulaString, toString, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE_UNARY

    public static final int TYPE_UNARY

See Also:
  Constant Field Values

### TYPE_BINARY

    public static final int TYPE_BINARY

See Also:
  Constant Field Values

### TYPE_FUNCTION

    public static final int TYPE_FUNCTION

See Also:
  Constant Field Values

Constructor Detail

### OperationPtg

    public OperationPtg()

Method Detail

### toFormulaString

    public abstract java.lang.String toFormulaString(java.lang.String[] operands)

  returns a string representation of the operations the length of the input array should equal the number returned by

  See Also:
    `getNumberOfOperands()`

### getNumberOfOperands

    public abstract int getNumberOfOperands()

  The number of operands expected by the operations

### getDefaultOperandClass

    public byte getDefaultOperandClass()

  Specified by:
    `getDefaultOperandClass` in class `Ptg`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.